import os
from pathlib import Path
from dotenv import load_dotenv

# Load environment variables
load_dotenv()

# API configuration
COINCAP_API_KEY = os.getenv("COINCAP_API_KEY", "b1afdeb4223dd63e8e26977c3539432eeaca0a7603c4655a7c9c57dadb40e7fe")
COINCAP_API_BASE_URL = os.getenv("COINCAP_API_BASE_URL", "https://rest.coincap.io/v3")

# Cache configuration
CACHE_TIMEOUT = int(os.getenv("CACHE_TIMEOUT", 300))  # 5 minutes cache by default